Activity log for bug #1599491

Date Who What changed Old value New value Message
2016-07-06 12:05:44 Jason Yundt bug added bug
2016-07-15 14:39:45 Louis Bouchard makedumpfile (Ubuntu): status New Triaged
2016-07-15 14:39:48 Louis Bouchard makedumpfile (Ubuntu): importance Undecided Low
2016-07-15 14:39:51 Louis Bouchard makedumpfile (Ubuntu): assignee Louis Bouchard (louis-bouchard)
2016-07-15 14:49:06 Louis Bouchard nominated for series Ubuntu Xenial
2016-07-15 14:49:06 Louis Bouchard bug task added makedumpfile (Ubuntu Xenial)
2016-07-15 14:49:14 Louis Bouchard makedumpfile (Ubuntu Xenial): status New Triaged
2016-07-15 14:49:16 Louis Bouchard makedumpfile (Ubuntu Xenial): importance Undecided Low
2016-07-15 14:49:19 Louis Bouchard makedumpfile (Ubuntu Xenial): assignee Louis Bouchard (louis-bouchard)
2016-07-15 15:45:35 Louis Bouchard makedumpfile (Ubuntu): status Triaged In Progress
2016-07-16 01:28:03 Launchpad Janitor makedumpfile (Ubuntu): status In Progress Fix Released
2016-07-22 11:31:11 Adam Conrad makedumpfile (Ubuntu Xenial): status Triaged Fix Committed
2016-07-22 11:31:12 Adam Conrad bug added subscriber Ubuntu Stable Release Updates Team
2016-07-22 11:31:19 Adam Conrad bug added subscriber SRU Verification
2016-07-22 11:31:26 Adam Conrad tags amd64 apport-bug xenial amd64 apport-bug verification-needed xenial
2016-07-22 14:55:35 Louis Bouchard description When installing kdump-tools, the apt-get outputs: Setting up kdump-tools (1:1.5.9-5) ... update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults Full log: jayman@jayman-kubuntu:~$ sudo apt-get install kdump-tools Reading package lists... Done Building dependency tree Reading state information... Done The following additional packages will be installed: crash kexec-tools libdw1 makedumpfile The following NEW packages will be installed: crash kdump-tools kexec-tools libdw1 makedumpfile 0 upgraded, 5 newly installed, 0 to remove and 10 not upgraded. Need to get 0 B/2,962 kB of archives. After this operation, 9,379 kB of additional disk space will be used. Do you want to continue? [Y/n] Preconfiguring packages ... Selecting previously unselected package crash. (Reading database ... 235512 files and directories currently installed.) Preparing to unpack .../crash_7.1.4-1ubuntu4_amd64.deb ... Unpacking crash (7.1.4-1ubuntu4) ... Selecting previously unselected package libdw1:amd64. Preparing to unpack .../libdw1_0.165-3ubuntu1_amd64.deb ... Unpacking libdw1:amd64 (0.165-3ubuntu1) ... Selecting previously unselected package makedumpfile. Preparing to unpack .../makedumpfile_1%3a1.5.9-5_amd64.deb ... Unpacking makedumpfile (1:1.5.9-5) ... Selecting previously unselected package kexec-tools. Preparing to unpack .../kexec-tools_1%3a2.0.10-1ubuntu2_amd64.deb ... Unpacking kexec-tools (1:2.0.10-1ubuntu2) ... Selecting previously unselected package kdump-tools. Preparing to unpack .../kdump-tools_1%3a1.5.9-5_all.deb ... Unpacking kdump-tools (1:1.5.9-5) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for libc-bin (2.23-0ubuntu3) ... Processing triggers for systemd (229-4ubuntu6) ... Processing triggers for ureadahead (0.100.0-19) ... Setting up crash (7.1.4-1ubuntu4) ... Setting up libdw1:amd64 (0.165-3ubuntu1) ... Setting up makedumpfile (1:1.5.9-5) ... Setting up kexec-tools (1:2.0.10-1ubuntu2) ... Generating grub configuration file ... Found linux image: /boot/vmlinuz-4.4.0-28-generic Found initrd image: /boot/initrd.img-4.4.0-28-generic Found linux image: /boot/vmlinuz-4.4.0-24-generic Found initrd image: /boot/initrd.img-4.4.0-24-generic Found memtest86+ image: /boot/memtest86+.elf Found memtest86+ image: /boot/memtest86+.bin grub-probe: error: cannot find a GRUB drive for /dev/sdc1. Check your device.map. Found Windows 7 (loader) on /dev/sda1 done Setting up kdump-tools (1:1.5.9-5) ... update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults Processing triggers for libc-bin (2.23-0ubuntu3) ... jayman@jayman-kubuntu:~$ ProblemType: Bug DistroRelease: Ubuntu 16.04 Package: kdump-tools 1:1.5.9-5 ProcVersionSignature: Ubuntu 4.4.0-28.47-generic 4.4.13 Uname: Linux 4.4.0-28-generic x86_64 ApportVersion: 2.20.1-0ubuntu2.1 Architecture: amd64 CurrentDesktop: KDE Date: Wed Jul 6 08:02:53 2016 InstallationDate: Installed on 2016-06-16 (19 days ago) InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1) PackageArchitecture: all SourcePackage: makedumpfile UpgradeStatus: No upgrade log present (probably fresh install) [SRU justification] Error message polluting the installation [Impact] Wrongfully implies a problem with the installation [Fix] Remove unneeded dh_installinit override [Test Case] Install kdump-tools on Xenial. Without the fix, the installation will complain with : update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults This message does not appear with the fix [Regression] None expected. update-rc.d default is used as a fallback. [Original description of the problem] When installing kdump-tools, the apt-get outputs: Setting up kdump-tools (1:1.5.9-5) ... update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults Full log: jayman@jayman-kubuntu:~$ sudo apt-get install kdump-tools Reading package lists... Done Building dependency tree Reading state information... Done The following additional packages will be installed:   crash kexec-tools libdw1 makedumpfile The following NEW packages will be installed:   crash kdump-tools kexec-tools libdw1 makedumpfile 0 upgraded, 5 newly installed, 0 to remove and 10 not upgraded. Need to get 0 B/2,962 kB of archives. After this operation, 9,379 kB of additional disk space will be used. Do you want to continue? [Y/n] Preconfiguring packages ... Selecting previously unselected package crash. (Reading database ... 235512 files and directories currently installed.) Preparing to unpack .../crash_7.1.4-1ubuntu4_amd64.deb ... Unpacking crash (7.1.4-1ubuntu4) ... Selecting previously unselected package libdw1:amd64. Preparing to unpack .../libdw1_0.165-3ubuntu1_amd64.deb ... Unpacking libdw1:amd64 (0.165-3ubuntu1) ... Selecting previously unselected package makedumpfile. Preparing to unpack .../makedumpfile_1%3a1.5.9-5_amd64.deb ... Unpacking makedumpfile (1:1.5.9-5) ... Selecting previously unselected package kexec-tools. Preparing to unpack .../kexec-tools_1%3a2.0.10-1ubuntu2_amd64.deb ... Unpacking kexec-tools (1:2.0.10-1ubuntu2) ... Selecting previously unselected package kdump-tools. Preparing to unpack .../kdump-tools_1%3a1.5.9-5_all.deb ... Unpacking kdump-tools (1:1.5.9-5) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for libc-bin (2.23-0ubuntu3) ... Processing triggers for systemd (229-4ubuntu6) ... Processing triggers for ureadahead (0.100.0-19) ... Setting up crash (7.1.4-1ubuntu4) ... Setting up libdw1:amd64 (0.165-3ubuntu1) ... Setting up makedumpfile (1:1.5.9-5) ... Setting up kexec-tools (1:2.0.10-1ubuntu2) ... Generating grub configuration file ... Found linux image: /boot/vmlinuz-4.4.0-28-generic Found initrd image: /boot/initrd.img-4.4.0-28-generic Found linux image: /boot/vmlinuz-4.4.0-24-generic Found initrd image: /boot/initrd.img-4.4.0-24-generic Found memtest86+ image: /boot/memtest86+.elf Found memtest86+ image: /boot/memtest86+.bin grub-probe: error: cannot find a GRUB drive for /dev/sdc1. Check your device.map. Found Windows 7 (loader) on /dev/sda1 done Setting up kdump-tools (1:1.5.9-5) ... update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults Processing triggers for libc-bin (2.23-0ubuntu3) ... jayman@jayman-kubuntu:~$ ProblemType: Bug DistroRelease: Ubuntu 16.04 Package: kdump-tools 1:1.5.9-5 ProcVersionSignature: Ubuntu 4.4.0-28.47-generic 4.4.13 Uname: Linux 4.4.0-28-generic x86_64 ApportVersion: 2.20.1-0ubuntu2.1 Architecture: amd64 CurrentDesktop: KDE Date: Wed Jul 6 08:02:53 2016 InstallationDate: Installed on 2016-06-16 (19 days ago) InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1) PackageArchitecture: all SourcePackage: makedumpfile UpgradeStatus: No upgrade log present (probably fresh install)
2016-08-02 15:24:57 Dimitri John Ledkov tags amd64 apport-bug verification-needed xenial amd64 apport-bug verification-done xenial
2016-08-04 17:24:01 Launchpad Janitor makedumpfile (Ubuntu Xenial): status Fix Committed Fix Released
2016-08-04 17:24:30 Brian Murray removed subscriber Ubuntu Stable Release Updates Team